- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - LimitToPrivacy

# NAME

      RT::Dashboards - a pseudo-collection for Dashboard objects.

# SYNOPSIS

      use RT::Dashboards

# DESCRIPTION

      Dashboards is an object consisting of a number of Dashboard objects.
      It works more or less like a DBIx::SearchBuilder collection, although it
      is not.

# METHODS

## LimitToPrivacy

Takes one argument: a privacy string, of the format "<class>-<id>", as produced by RT::Dashboard::Privacy(). The Dashboards object will load the dashboards belonging to that user or group. Repeated calls to the same object should DTRT.

← Back to index